Name:           python-tmnt
Version:        0.7.59
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Topic modeling neural toolkit

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/mitre/tmnt.git
Source:         %{pypi_source tmnt}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'tmnt' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-tmnt
Summary:        %{summary}

%description -n python3-tmnt %_description


%prep
%autosetup -p1 -n tmnt-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-tmnt -f %{pyproject_files}


%changelog
%autochangelog